> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://api.herramientas.lat/api-reference/herramientas-lat-api/qr/listar-q-rs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api.herramientas.lat/_mcp/server. # Listar QRs GET https://www.herramientas.lat/api/v1/qr Requiere scope `qr:read`. Reference: https://api.herramientas.lat/api-reference/herramientas-lat-api/qr/listar-q-rs ## Authentication - `Authorization` header (bearer token, required) — Creá keys en /cuenta/api con scopes qr:read y/o qr:write ## Response ### 200 Lista - `items` (list of QrItem, optional) ## Errors ### 401 Unauthorized Error No autorizado - `error` (string, optional) ## Types ### QrItem - `id` (string, optional) - `title` (string, optional) - `code` (string, optional) - `contentType` (enum, optional) - Allowed values: `url`, `wifi`, `vcard`, `whatsapp`, `text`, `email` - `payload` (string, optional) - `active` (boolean, optional) - `design` (QrDesign, optional) — Opciones visuales (mismas que el generador web). - `shortUrl` (string, optional) - `scanCount` (integer, optional) - `createdAt` (datetime, optional) - `updatedAt` (datetime, optional) ### QrDesign Opciones visuales (mismas que el generador web). - `dotsStyle` (enum, optional) - Allowed values: `square`, `dots`, `rounded`, `extra-rounded`, `classy`, `classy-rounded` - `cornerSquare` (enum, optional) - Allowed values: `square`, `dot`, `extra-rounded`, `classy`, `classy-rounded` - `cornerDot` (enum, optional) - Allowed values: `square`, `dot`, `extra-rounded`, `classy`, `classy-rounded` - `isGradient` (boolean, optional) - `gradientType` (enum, optional) - Allowed values: `linear`, `radial` - `gradientRotation` (double, optional) - `color1` (string, optional) - `color2` (string, optional) - `bgColor` (string, optional) - `bgTransparent` (boolean, optional) - `customEyeColors` (boolean, optional) - `eyeColor` (string, optional) - `presetLogo` (string, optional) - `customLogoUrl` (string, optional, nullable) — Data URL de imagen o null - `logoSize` (double, optional) - `logoMargin` (double, optional) - `hideDotsBehindLogo` (boolean, optional) - `frameStyle` (enum, optional) - Allowed values: `none`, `bottom-banner`, `phone`, `badge` - `frameText` (string, optional) - `frameColor` (string, optional) - `frameTextColor` (string, optional) - `errorCorrectionLevel` (enum, optional) - Allowed values: `L`, `M`, `Q`, `H` - `resolution` (integer, optional) ## Examples **Response** ```json { "items": [ { "id": "string", "title": "string", "code": "string", "contentType": "url", "payload": "string", "active": true, "design": { "dotsStyle": "square", "cornerSquare": "square", "cornerDot": "square", "isGradient": true, "gradientType": "linear", "gradientRotation": 1.1, "color1": "string", "color2": "string", "bgColor": "string", "bgTransparent": true, "customEyeColors": true, "eyeColor": "string", "presetLogo": "string", "customLogoUrl": "string", "logoSize": 0.3, "logoMargin": 1.1, "hideDotsBehindLogo": true, "frameStyle": "none", "frameText": "string", "frameColor": "string", "frameTextColor": "string", "errorCorrectionLevel": "L", "resolution": 1 }, "shortUrl": "string", "scanCount": 1, "createdAt": "2024-01-15T09:30:00Z", "updatedAt": "2024-01-15T09:30:00Z" } ] } ``` **SDK Code** ```python import requests url = "https://www.herramientas.lat/api/v1/qr" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://www.herramientas.lat/api/v1/qr'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.herramientas.lat/api/v1/qr" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://www.herramientas.lat/api/v1/qr") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.herramientas.lat/api/v1/qr") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://www.herramientas.lat/api/v1/qr', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://www.herramientas.lat/api/v1/qr"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://www.herramientas.lat/api/v1/qr")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```